slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetOperators

Get the matrices associated with the singular value problem.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetOperators(SVD svd,Mat *A,Mat *B)

Not Collective

### Input Parameter

| svd | - the singular value solver context

### Output Parameters

| A | - the matrix associated with the singular value problem
| B | - the second matrix in the case of GSVD

### See Also

SVDSolve(), SVDSetOperators()

### Level

intermediate

### Location

src/svd/interface/svdsetup.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages